<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\IpAddress\Forms;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\IpAddress\Providers\DiskProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\IpAddress\Providers\FirewallOptionProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\IpAddress\Providers\IpAddressProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Hidden;


class DeleteForm extends BaseForm implements AdminArea
{
    public function initContent()
    {
        $this->initIds('deleteForm');
        $this->setFormType('delete');
        $this->setProvider(new IpAddressProvider());
        $this->initFields();
        $this->loadDataToForm();
    }

    public function getAllowedActions()
    {
        return ['delete'];
    }

    private function initFields()
    {
        $this->setConfirmMessage('confirmDelete', ["ip" => null]);
        $this->addField(new Hidden("id"));
        $this->addField(new Hidden("ip"));
    }

}